← Tables

Scotland

East Region League Division 3

#TeamPWDLPDBPPtsForm
1Royal High RFC4400+279420WWWW
2Duns RFC4400+97319WWWW
3Edinburgh University Medics5302+33214LWLWW
4Trinity Academicals RFC4202+11311LWLW
5Lismore RFC4103-9123WLLL
6Caledonian Thebans RFC5005-20430LLLLL
7Penicuik RFC3003-13120LLL
8Inverleith RFC3201+620LWW

Source: Scottish Rugby · checked Oct 14, 04:52 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.